Package Details: python-subsync 0.4.8-2

Git Clone URL: https://aur.archlinux.org/python-subsync.git (read-only, click to copy)
Package Base: python-subsync
Description: Automagically synchronize subtitles with video
Upstream URL: https://github.com/smacke/ffsubsync
Licenses: MIT
Provides: subsync
Submitter: kugland
Maintainer: kugland (Althorion)
Last Packager: kugland
Votes: 2
Popularity: 1.04
First Submitted: 2020-02-20 05:21
Last Updated: 2020-12-14 05:25

Latest Comments

j1simon commented on 2020-10-19 12:25

Lack of dependencies?

$ ffs Redwoods.mp4 -i Redwoods.srt -o Redwoods-2.srt
Traceback (most recent call last):
File "/usr/bin/ffs", line 33, in <module>
sys.exit(load_entry_point('ffsubsync==0.4.8', 'console_scripts', 'ffs')())
File "/usr/lib/python3.8/site-packages/ffsubsync/ffsubsync.py", line 387, in main
return run(args)['retval']
File "/usr/lib/python3.8/site-packages/ffsubsync/ffsubsync.py", line 283, in run
reference_pipe.fit(args.reference)
File "/usr/lib/python3.8/site-packages/ffsubsync/sklearn_shim.py", line 214, in fit
self._final_estimator.fit(Xt, y, **fit_params)
File "/usr/lib/python3.8/site-packages/ffsubsync/speech_transformers.py", line 186, in fit
detector = _make_webrtcvad_detector(self.sample_rate, self.frame_rate)
File "/usr/lib/python3.8/site-packages/ffsubsync/speech_transformers.py", line 98, in _make_webrtcvad_detector
import webrtcvad
File "/usr/lib/python3.8/site-packages/webrtcvad.py", line 1, in <module>
import pkg_resources
File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3239, in <module>
def _initialize_master_working_set():
File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3222, in _call_aside
f(*args, **kwargs)
File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3251, in _initialize_master_working_set
working_set = WorkingSet._build_master()
File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 567, in _build_master
ws.require(__requires__)
File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 884, in require
needed = self.resolve(parse_requirements(requirements))
File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 770, in resolve
raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'auditok' distribution was not found and is required by ffsubsync

robertop commented on 2020-10-18 21:35

Change this to get the current version to work:

pkgver=0.4.8

sha256sums=('f72e918e5d679f8c7cd7376778dc4b65489963b33a632fecb0b071f455437d6e')

Althorion commented on 2020-05-12 07:29

Are you still interested in this package? Would you like some help with that?

connaisseur commented on 2020-04-10 07:18

Besides from being flagged out-of-date, this is (also) missing

python-pysubs2 python-cchardet

on the makedepends-line. But this might be new for >=v0.3.0 .

JonasCz commented on 2020-04-08 12:21

The correct sha265 for the current version is (you can change it in the pkgbuild)

8782f7f5cea65a0853f519dfc3c449be6a99035240ce41da8604b17a1cac19b6 subsync-0.2.17.tar.gz